# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_pdftk_tools
%define summary pdf editing
%define version 0.6.1
%define release 1.2007mcnl 
%define	vendor 	Mandrivaclub.nl

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Vendor:		%{vendor} 
Url:		http://www.kde-apps.org/content/show.php?content=37321
Group:		Graphical desktop/KDE
License:	GPL 

Source0:        pdf-smp-0.1.tar.bz2

Requires: pdftk

BuildArch:  	noarch

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 

 
%description  

1) pdftk_tools-0.6.1 service menu allow:

- Join selected PDF (alphabetic order)
- Add another pdf to selected file
- Extract pages
- Extraxt all even pages
- Extract all odd pages
- Burst PDF pages
- Repair
- Watermark pages of a PDF file
- Lock (give master password, give user password, select permissions)
- Unlock (with master password)
- Attach arbitrary file (not PDF only, but documents audio image movie too)
(For now, you can view attached files with Acrobat Reader only)
- Extract all attached files (one or more)
(Acrobat Reader not required for this)
(These are only useful when you want to edit PDF code in a text editor like vim or emacs)
- Uncompress PDF files (Remove PDF page stream compression)
- Compress PDF files (Restore page stream compression)
- Document information
- About ;-)

depend only on pdftk (http://www.accesspdf.com/pdftk) and kde 

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n pdf-smp-0.1

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/apps/konqueror/servicemenus/
mv pdftk_tools.desktop ${RPM_BUILD_ROOT}%{_datadir}/apps/konqueror/servicemenus/

%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files
%defattr(0755,root,root)
%doc COPYRIGHT LICENSE Description.txt Changelog.txt
%{_datadir}/apps/konqueror/servicemenus/pdftk_tools.desktop

 
%changelog  

* Sat Dec 23 2006 Marco Meijer <marco@mandrivaclub.nl> 0.6.1-1.2007mcnl
- special mandrivaclub.nl build
